Bug 1423965 - mpi4py: FTBFS in rawhide
Summary: mpi4py: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mpi4py
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 15:25 UTC by Fedora Release Engineering
Modified: 2017-11-11 03:08 UTC (History)
4 users (show)

Fixed In Version: mpi4py-2.0.0-14.fc26 mpi4py-2.0.0-14.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 22:17:44 UTC
Type: ---


Attachments (Terms of Use)
build.log (131.91 KB, text/plain)
2017-02-17 15:25 UTC, Fedora Release Engineering
no flags Details
root.log (85.41 KB, text/plain)
2017-02-17 15:25 UTC, Fedora Release Engineering
no flags Details
state.log (615 bytes, text/plain)
2017-02-17 15:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 15:25:31 UTC
Your package mpi4py failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17739366

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 15:25:37 UTC
Created attachment 1253211 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 15:25:40 UTC
Created attachment 1253212 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 15:25:43 UTC
Created attachment 1253213 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 11:50:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-07-12 14:07:27 UTC
+ PYTHONPATH=/home/zbyszek/rpmbuild/BUILDROOT/mpi4py-2.0.0-10.fc27.x86_64/usr/lib64/python2.7/site-packages/openmpi
+ mpiexec -n 1 python2 test/runtests.py -v --no-builddir -e spawn
[0@fedora] Python 2.7 (/usr/bin/python2)
[0@fedora] MPI 3.1 (Open MPI 2.0.2)
[0@fedora] mpi4py 2.0.0 (/home/zbyszek/rpmbuild/BUILDROOT/mpi4py-2.0.0-10.fc27.x86_64/usr/lib64/python2.7/site-packages/openmpi/mpi4py)
--------------------------------------------------------------------------
The OSC pt2pt component does not support MPI_THREAD_MULTIPLE in this release.
Workarounds are to run on a single node, or to use a system with an RDMA
capable network such as Infiniband.
--------------------------------------------------------------------------
Traceback (most recent call last):
  File "test/runtests.py", line 240, in <module>
    sys.exit(main())
  File "test/runtests.py", line 229, in main
    testsuite = load_tests(options, args)
  File "test/runtests.py", line 169, in load_tests
    module = __import__(testname)
  File "test/test_exceptions.py", line 330, in <module>
    MPI.Win.Create(None, 1, MPI.INFO_NULL, MPI.COMM_SELF).Free()
  File "MPI/Win.pyx", line 73, in mpi4py.MPI.Win.Create (src/mpi4py.MPI.c:124787)
mpi4py.MPI.Exception: MPI_ERR_WIN: invalid window
-------------------------------------------------------
Primary job  terminated normally, but 1 process returned
a non-zero exit code.. Per user-direction, the job has been aborted.
-------------------------------------------------------
--------------------------------------------------------------------------
mpiexec detected that one or more processes exited with non-zero status, thus causing
the job to be terminated. The first process to do so was:

  Process name: [[58671,1],0]
  Exit code:    1
--------------------------------------------------------------------------
error: Bad exit status from /var/tmp/rpm-tmp.7gISQD (%check)

Comment 6 Fedora Update System 2017-10-29 02:41:17 UTC
mpi4py-2.0.0-12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a365de91d1

Comment 7 Fedora Update System 2017-10-29 02:41:31 UTC
mpi4py-2.0.0-12.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5417a8af2

Comment 8 Fedora Update System 2017-10-29 16:33:23 UTC
mpi4py-2.0.0-14.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a365de91d1

Comment 9 Fedora Update System 2017-10-30 14:46:22 UTC
mpi4py-2.0.0-14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5417a8af2

Comment 10 Fedora Update System 2017-11-07 22:17:44 UTC
mpi4py-2.0.0-14.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-11 03:08:39 UTC
mpi4py-2.0.0-14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.